=== worker/Makefile ===
# developer utilities
pylint:
	pylint -j4 --rcfile=../common/pylintrc_worker --disable=super-with-arguments,raise-missing-from buildbot_worker setup.py
