=== debian/changelog ===
buildbot (4.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * replace transitional bzr by brz
  * Standards-Version: 4.7.0 (routine-update)
  * New upstream release

  [ Colin Watson ]
  * Cherry-pick upstream patches for compatibility with SQLAlchemy 2.0 and
    Twisted 24.7.0 (closes: #1073001).
  * Use python3-sphinx-jinja now that it's in Debian.
  * Drop buildbot-slave transitional package (closes: #1032636).
  * Drop python3-buildbot transitional package (closes: #1032637).
  * Drop python3-buildbot-worker transitional package (closes: #1032639).
  * Drop python3-buildbot-doc transitional package (closes: #1032646).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Sep 2024 13:54:41 +0100
