## buildbot 4.1.0

=== master/docker-example/pypy/master/requirements.txt ===
buildbot[bundle]
psycopg2cffi-compat
