=== debian/changelog ===
buildbot (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - rest: remove usage of deprecated cgi module (closes: #1084649).
  * Fix CommandToString.test_list_with_objects (see
    https://github.com/buildbot/buildbot/pull/8137).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Oct 2024 22:09:33 +0100

buildbot (4.0.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused (build-)dependencies on python3-pkg-resources (closes:
    #1083325).
  * Add Italian debconf translation (thanks, Ceppo; closes: #1081503).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Oct 2024 13:16:59 +0100

buildbot (4.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Sep 2024 18:11:35 +0100
