## buildbot 4.2.0

=== debian/changelog ===
buildbot (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 00:00:18 +0000

buildbot (4.1.0-2) unstable; urgency=medium

  * Team upload.
  * process: Remove uses of twisted.python.constants.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 15:31:59 +0000
