## buildbot 4.2.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DOCKERBUILD := docker build --build-arg http_proxy=$$http_proxy --build-arg https_proxy=$$https_proxy
 ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 
-.PHONY: docs pylint ruff virtualenv
+.PHONY: docs ruff virtualenv check_for_yarn
 
 ifeq ($(OS),Windows_NT)
   VENV_BIN_DIR := Scripts
@@ -22,12 +22,15 @@
 VENV_PYTHON ?= $(ROOT_DIR)/$(VENV_NAME)/$(VENV_BIN_DIR)/python
 YARN := $(shell which yarnpkg || which yarn)
 
-WWW_PKGS := www/base www/react-base www/console_view www/react-console_view www/grid_view www/react-grid_view www/waterfall_view www/react-waterfall_view www/wsgi_dashboards www/react-wsgi_dashboards www/badges
-WWW_EX_PKGS := www/nestedexample www/codeparameter
+check_for_yarn:
+	@if [ "$(YARN)" = "" ]; then echo "yarnpkg or yarn is not installed" ; exit 1; fi
+
+WWW_PKGS := www/base www/console_view www/grid_view www/waterfall_view www/wsgi_dashboards www/badges
+WWW_EX_PKGS := www/nestedexample
 WWW_DEP_PKGS := www/plugin_support www/data-module www/ui
 ALL_PKGS := master worker pkg $(WWW_PKGS)
 
-WWW_PKGS_FOR_UNIT_TESTS := $(filter-out www/badges www/plugin_support www/ui www/grid_view www/react-grid_view www/wsgi_dashboards www/react-wsgi_dashboards, $(WWW_DEP_PKGS) $(WWW_PKGS))
+WWW_PKGS_FOR_UNIT_TESTS := $(filter-out www/badges www/plugin_support www/grid_view www/wsgi_dashboards, $(WWW_DEP_PKGS) $(WWW_PKGS))
 
 ALL_PKGS_TARGETS := $(addsuffix _pkg,$(ALL_PKGS))
 .PHONY: $(ALL_PKGS_TARGETS)
@@ -59,18 +62,12 @@
 docs-release-spelling: docs-towncrier
 	$(MAKE) -C master/docs SPHINXOPTS=-W spelling
 
-# pylint the whole sourcecode (validate.sh will do that as well, but only process the modified files)
-pylint:
-	$(MAKE) -C master pylint; master_res=$$?; \
-	$(MAKE) -C worker pylint; worker_res=$$?; \
-	if [ $$master_res != 0 ] || [ $$worker_res != 0 ]; then exit 1; fi
-
-frontend_deps: $(VENV_NAME)
+frontend_deps: $(VENV_NAME) check_for_yarn
 	$(PIP) install build wheel -r requirements-ci.txt
 	for i in $(WWW_DEP_PKGS); \
 		do (cd $$i; $(YARN) install --pure-lockfile; $(YARN) run build); done
 
-frontend_tests: frontend_deps
+frontend_tests: frontend_deps check_for_yarn
 	for i in $(WWW_PKGS); \
 		do (cd $$i; $(YARN) install --pure-lockfile); done
 	for i in $(WWW_PKGS_FOR_UNIT_TESTS); \
@@ -87,10 +84,10 @@
 
 # do installation tests. Test front-end can build and install for all install methods
 frontend_install_tests: frontend_deps
-	trial pkg/test_buildbot_pkg.py pkg/test_buildbot_pkg_old.py
+	trial pkg/test_buildbot_pkg.py
 
 # upgrade FE dependencies
-frontend_yarn_upgrade:
+frontend_yarn_upgrade: check_for_yarn
 	for i in $(WWW_PKGS) $(WWW_EX_PKGS) $(WWW_DEP_PKGS); \
 		do (cd $$i; echo $$i; rm -rf yarn.lock; $(YARN) install || echo $$i failed); done
 
@@ -101,22 +98,23 @@
 	find master worker \( -name '*.pyc' -o -name '*.pyo' \) -exec rm -v {} \;
 
 ruff:
-	ruff --fix .
+	ruff format .
 
 docker: docker-buildbot-worker docker-buildbot-master
 	echo done
 docker-buildbot-worker:
 	$(DOCKERBUILD) -t buildbot/buildbot-worker:master worker
+docker-buildbot-worker-node:
+	$(DOCKERBUILD) -t buildbot/buildbot-worker-node:master master/contrib/docker/pythonnode_worker
 docker-buildbot-master:
 	$(DOCKERBUILD) -t buildbot/buildbot-master:master master
 
 $(VENV_NAME):
 	$(VENV_CREATE) $(VENV_NAME)
-	$(VENV_PYTHON) -m pip install --upgrade pip
-	$(PIP) install -U setuptools wheel
+	$(PIP) install -r requirements-pip.txt
 
 # helper for virtualenv creation
-virtualenv: $(VENV_NAME)   # usage: make virtualenv VENV_PY_VERSION=python3.4
+virtualenv: $(VENV_NAME) check_for_yarn   # usage: make virtualenv VENV_PY_VERSION=python3.8
 	$(PIP) install -r requirements-ci.txt \
 		-r requirements-ciworker.txt \
 		-r requirements-cidocs.txt \
