=== debian/changelog ===
buildbot (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * debian/upstream/signing-key.asc: Merge into a single ASCII-armored
    block, to improve interoperability.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 14:47:38 +0000
