## buildbot 4.3.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 WWW_DEP_PKGS := www/plugin_support www/data-module www/ui
 ALL_PKGS := master worker pkg $(WWW_PKGS)
 
-WWW_PKGS_FOR_UNIT_TESTS := $(filter-out www/badges www/plugin_support www/grid_view www/wsgi_dashboards, $(WWW_DEP_PKGS) $(WWW_PKGS))
+WWW_PKGS_FOR_UNIT_TESTS := $(filter-out www/badges www/plugin_support www/wsgi_dashboards, $(WWW_DEP_PKGS) $(WWW_PKGS))
 
 ALL_PKGS_TARGETS := $(addsuffix _pkg,$(ALL_PKGS))
 .PHONY: $(ALL_PKGS_TARGETS)
@@ -100,6 +100,10 @@
 ruff:
 	ruff format .
 
+mypy:
+	(cd ./master && mypy --config-file ../pyproject.toml buildbot)
+	(cd ./worker && mypy --config-file ../pyproject.toml buildbot_worker)
+
 docker: docker-buildbot-worker docker-buildbot-master
 	echo done
 docker-buildbot-worker:
