=== master/Makefile ===
# developer utilities
tutorial:
	cd docs/tutorial; $(MAKE) html

rmpyc:
	make -C .. rmpyc
