=== master/docker-example/pypy/master/requirements.txt ===
buildbot[bundle]==4.1.0
psycopg2cffi-compat==1.1
