=== master/docker-example/pypy/worker/requirements.txt ===
buildbot-slave==0.8.14
