=== debian/changelog ===
buildbot (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * Re-export debian/upstream/signing-key.asc without subkeys.
  * New upstream release:
    - Partially revert "monkeypatches: Remove unused for_tests argument"
      (closes: #1117640).
  * Fix deprecation warning from alembic >= 1.16.0 (closes: #1117391).

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 19:59:47 +0000
