=== debian/control ===
--- 
+++ 
@@ -16,19 +16,19 @@
  python3-autobahn (>= 0.16.0),
  python3-croniter,
  python3-dateutil (>= 1.5),
+ python3-evalidate,
  python3-idna,
  python3-jinja2 (>= 2.1),
  python3-jwt,
  python3-openssl,
  python3-parameterized,
- python3-pkg-resources (>= 8.0),
  python3-psutil,
  python3-service-identity,
  python3-sqlalchemy (>= 1.4.0),
- python3-twisted (>= 17.9.0),
+ python3-twisted (>= 22.1.0),
  python3-txaio (>= 2.2.2),
  python3-zope.interface (>= 4.1.1),
- python3-treq,
+ python3-treq (>= 20.9),
  python3-txrequests,
  python3-unidiff (>= 0.6.0),
  python3-yaml,
@@ -56,10 +56,10 @@
  python3-jinja2 (>= 2.1),
  python3-jwt,
  python3-openssl,
- python3-pkg-resources (>= 8.0),
  python3-service-identity,
  python3-sqlalchemy (>= 1.4.0),
- python3-twisted (>= 17.9.0),
+ python3-treq (>= 20.9),
+ python3-twisted (>= 22.1.0),
  python3-txaio (>= 2.2.2),
  python3-txrequests,
  python3-unidiff (>= 0.6.0),
@@ -70,6 +70,7 @@
  bash-completion,
 Suggests:
  buildbot-doc,
+ python3-evalidate,
  python3-lz4,
  python3-psycopg2 | python3-mysqldb,
 Description: System to automate the compile/test cycle (server)
@@ -123,7 +124,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-twisted (>= 17.9.0),
+ python3-twisted (>= 21.2.0),
  passwd,
 Recommends:
  brz | subversion | cvs | mercurial | darcs | git,
